"use client"

import Title from '../universal/Title'
import NewLaunchCards from '../universal/NewLaunchCards'
import Carousel from "react-multi-carousel";
import "react-multi-carousel/lib/styles.css";

const responsive = {
    superLargeDesktop: {
        breakpoint: { max: 4000, min: 3000 },
        items: 5,
        slidesToSlide: 3
    },

    desktop: {
        breakpoint: { max: 3000, min: 1024 },
        items: 3,
        slidesToSlide: 1
    },
    tablet: {
        breakpoint: { max: 1024, min: 464 },
        items: 2,
        slidesToSlide: 1
    },
    mobile: {
        breakpoint: { max: 464, min: 0 },
        items: 1,
        slidesToSlide: 1
    }
};

const NewlyLaunched = () => {
    return (
        <div className='bg-[#fff0bb] rounded-md py-6 lg:px-10 px-2 mt-4'>
            <div className="flex gap-2">
                <img src="/icons/new-launch.png" alt="" className='lg:w-16 h-fit' />
                <div>
                    <Title title={"Newly Launched Projects"} />
                    <p className='font-light mt-1'>Limited Offer Available  with zero brokrage</p>
                </div>
            </div>

            <Carousel
                responsive={responsive}
                infinite={true}
                arrows={false}
                showDots={true}
                itemClass='px-2'
                transitionDuration={1000}
                autoPlay={true}
                autoPlaySpeed={1000}
                className='w-full mt-8 pb-8'
            >
                {[1, 2, 3, 4, 5].map(item => (
                    <NewLaunchCards key={"a" + item} />
                ))}
            </Carousel>
        </div>
    )
}

export default NewlyLaunched